package com.perforce.hws.automation;

/**
 * Runs our basic environment using the r16.1 build of p4d.
 */
public class Basic16_1EnvironmentSetup extends BasicMainlineEnvironmentSetup implements ProjectLocations {

    public Basic16_1EnvironmentSetup() {
        super();
        config.setP4DVersion(AutomationConfig.P4DVersion.P2016_1);
    }

    public static void main(String[] args) {
        try {
            new Basic16_1EnvironmentSetup().run();
        } catch (Exception e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

}
